# Package org.opensaml.storage.annotation

@NonnullElements package org.opensaml.storage.annotation
Annotations in support of `StorageService` use by custom objects.

Related Packages
Package
Description
org.opensaml.storage
Interfaces and classes for storing state data of the type used in replay caches, conversation identifiers, etc.
org.opensaml.storage.impl
Storage-related implementation classes.
org.opensaml.storage.testing
Class
Description
AnnotationSupport
Support class that reads and writes fields decorated with storage annotations.
Context
Identifies the field of a class that serves as the context of a `StorageService` record.
Expiration
Identifies the field of a class that serves as the expiration of a `StorageService` record.
Key
Identifies the field of a class that serves as the key of a `StorageService` record.
Value
Identifies the field of a class that serves as the value of a `StorageService` record.